## org.gnu.gtk
Class ToolBar

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.ToolBar

public class ToolBar
extends Container

The ToolBar is used to construct a toolbar. It is the container that controls the position of a set of icons that are mouse sensitive.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`ToolBar()` Create a new ToolBar
`ToolBar(Handle hndl)`

Method Summary
`void` `addListener(ToolBarListener listener)` Register an object to handle dialog events.
`void` `appendSpace()` Deprecated.
`void` `appendWidget(Widget widget, java.lang.String tooltip, java.lang.String helpText)` Deprecated.
`protected void` `fireToolBarEvent(ToolBarEvent event)`
`int` `getDropIndex(int x, int y)` Returns the position corresponding to the indicated point on ToolBar.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`ToolItem` `getItem(int position)` Return the ToolItem on the ToolBar from the position specified.
`int` `getItemIndex(ToolItem item)` Return the position of an item on the ToolBar starting from 0.
`int` `getNumItems()` Return the number of items on the ToolBar.
`ReliefStyle` `getReliefStyle()` Returns the ReliefStyle of Buttons on the ToolBar.
`boolean` `getShowArrow()` Returns whether the ToolBar has an overflow menu.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_toolbar_append_space(Handle toolbar)`
`protected static void` `gtk_toolbar_append_widget(Handle Toolbar, Handle widget, java.lang.String tooltipText, java.lang.String tooltipPrivateText)`
`protected static int` `gtk_toolbar_get_drop_index(Handle toolbar, int x, int y)`
`protected static int` `gtk_toolbar_get_icon_size(Handle toolbar)`
`protected static int` `gtk_toolbar_get_item_index(Handle toolbar, Handle item)`
`protected static int` `gtk_toolbar_get_n_items(Handle toolbar)`
`protected static Handle` `gtk_toolbar_get_nth_item(Handle toolbar, int pos)`
`protected static int` `gtk_toolbar_get_orientation(Handle toolbar)`
`protected static int` `gtk_toolbar_get_relief_style(Handle toolbar)`
`protected static boolean` `gtk_toolbar_get_show_arrow(Handle toolbar)`
`protected static int` `gtk_toolbar_get_style(Handle toolbar)`
`protected static boolean` `gtk_toolbar_get_tooltips(Handle toolbar)`
`protected static int` `gtk_toolbar_get_type()`
`protected static void` `gtk_toolbar_insert_space(Handle toolbar, int position)`
`protected static void` `gtk_toolbar_insert_widget(Handle toolbar, Handle widget, java.lang.String tooltipText, java.lang.String tooltipPrivateText, int position)`
`protected static void` `gtk_toolbar_insert(Handle toolbar, Handle item, int pos)`
`protected static Handle` `gtk_toolbar_new()`
`protected static void` `gtk_toolbar_prepend_space(Handle toolbar)`
`protected static void` `gtk_toolbar_prepend_widget(Handle Toolbar, Handle widget, java.lang.String tooltipText, java.lang.String tooltipPrivateText)`
`protected static void` `gtk_toolbar_remove_space(Handle toolbar, int position)`
`protected static void` `gtk_toolbar_set_drop_highlight_item(Handle toolbar, Handle item, int index)`
`protected static void` `gtk_toolbar_set_icon_size(Handle toolbar, int iconSize)`
`protected static void` `gtk_toolbar_set_orientation(Handle toolbar, int orientation)`
`protected static void` `gtk_toolbar_set_show_arrow(Handle toolbar, boolean show)`
`protected static void` `gtk_toolbar_set_style(Handle toolbar, int style)`
`protected static void` `gtk_toolbar_set_tooltips(Handle toolbar, boolean enable)`
`protected static void` `gtk_toolbar_unset_icon_size(Handle toolbar)`
`protected static void` `gtk_toolbar_unset_style(Handle toolbar)`
`void` `insert(ToolItem item, int position)` Insert a ToolItem into the ToolBar at a specified position.
`void` `insertSpace(int position)` Deprecated.
`void` `insertWidget(Widget widget, java.lang.String tooltip, java.lang.String helpText, int index)` Deprecated.
`void` `prependSpace()` Deprecated.
`void` `prependWidget(Widget widget, java.lang.String tooltip, java.lang.String helpText)` Deprecated.
`void` `removeListener(ToolBarListener listener)` Removes a listener
`void` `removeSpace(int position)` Deprecated.
`void` `setDropHighlightItem(ToolItem item, int index)` Highlights ToolBar to give an idea of what it would look like if a ToolItem was added to the ToolBar and the provided index.
`void` `setIconSize(IconSize iconSize)` Deprecated.
`void` `setOrientation(Orientation orientation)` Set whether the ToolBar should appear horizontally or vertically.
`void` `setShowArrow(boolean showArrow)` Sets whether to show an overflow menu when ToolBar doesn't have room for all of its' items.
`void` `setStyle(ToolBarStyle style)` Alter the view of the ToolBar to display either icons only, text only, or both.
`void` `setToolTips(boolean enable)` Sets if the tooltips of the ToolBar should be active or not.

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolBar

    public ToolBar()

  Create a new ToolBar

### ToolBar

    public ToolBar(Handle hndl)

Method Detail

### appendWidget

    public void appendWidget(Widget widget,
                             java.lang.String tooltip,
                             java.lang.String helpText)

  Deprecated.

  Add a widget to the end of the toolbar.

  Parameters:
    `widget` - The widget to add to the end of the ToolBar.
    `tooltip` - The text for the tooltip for this item.
    `helpText` - Context sensitive help about this item.

### prependWidget

    public void prependWidget(Widget widget,
                              java.lang.String tooltip,
                              java.lang.String helpText)

  Deprecated.

  Add a widget to the beginning of the toolbar.

  Parameters:
    `widget` - The widget to add to the beginning of the ToolBar.
    `tooltip` - The text for the tooltip for this item.
    `helpText` - Context sensitive help about this item.

### insertWidget

    public void insertWidget(Widget widget,
                             java.lang.String tooltip,
                             java.lang.String helpText,
                             int index)

  Deprecated.

  Insert a Widget in the ToolBar at the given position

  Parameters:
    `widget` - The widget to add to the ToolBar.
    `tooltip` - The text for the tooltip for this item.
    `helpText` - Context sensitive help about this item.
    `index` - The location in the ToolBar to insert this Widget.

### appendSpace

    public void appendSpace()

  Deprecated.

  Add a space to the end of the ToolBar.

### prependSpace

    public void prependSpace()

  Deprecated.

  Add a space to the beginning of the ToolBar.

### insertSpace

    public void insertSpace(int position)

  Deprecated.

  Insert a space in the ToolBar at the specified location.

  Parameters:
    `position` - The location to insert the space.

### removeSpace

    public void removeSpace(int position)

  Deprecated.

  Remove a space from the ToolBar.

  Parameters:
    `position` - The position of the space to remove.

### setOrientation

    public void setOrientation(Orientation orientation)

  Set whether the ToolBar should appear horizontally or vertically.

  Parameters:
    `orientation` - Specifies the direction of the ToolBar.

### setStyle

    public void setStyle(ToolBarStyle style)

  Alter the view of the ToolBar to display either icons only, text only, or both.

  Parameters:
    `style` - Determines how to display the items.

### setToolTips

    public void setToolTips(boolean enable)

  Sets if the tooltips of the ToolBar should be active or not.

  Parameters:
    `enable` - Should the tooltips be enabled.

### setIconSize

    public void setIconSize(IconSize iconSize)

  Deprecated.

  Sets the size of the stock icons in the ToolBar.

  Parameters:
    `iconSize` - The size of the icons.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### insert

    public void insert(ToolItem item,
                       int position)

  Insert a ToolItem into the ToolBar at a specified position. If position is 0 then the item is prepended to the start of the ToolBar. If position is negative then it is appended to the end of the ToolBar.

  Parameters:
    `item` -
    `position` -

### getItemIndex

    public int getItemIndex(ToolItem item)

  Return the position of an item on the ToolBar starting from 0.

  Parameters:
    `item` -

### getNumItems

    public int getNumItems()

  Return the number of items on the ToolBar.

### getItem

    public ToolItem getItem(int position)

  Return the ToolItem on the ToolBar from the position specified.

  Parameters:
    `position` -

### getShowArrow

    public boolean getShowArrow()

  Returns whether the ToolBar has an overflow menu.

### setShowArrow

    public void setShowArrow(boolean showArrow)

  Sets whether to show an overflow menu when ToolBar doesn't have room for all of its' items.

  Parameters:
    `showArrow` -

### getReliefStyle

    public ReliefStyle getReliefStyle()

  Returns the ReliefStyle of Buttons on the ToolBar.

### getDropIndex

    public int getDropIndex(int x,
                            int y)

  Returns the position corresponding to the indicated point on ToolBar. This is useful when dragging items to the ToolBar: this functions returns the position a new item would be inserted.

  Parameters:
    `x` -
    `y` -

### setDropHighlightItem

    public void setDropHighlightItem(ToolItem item,
                                     int index)

  Highlights ToolBar to give an idea of what it would look like if a ToolItem was added to the ToolBar and the provided index.

  Parameters:
    `item` -
    `index` -

### addListener

    public void addListener(ToolBarListener listener)

  Register an object to handle dialog events.

  See Also:
    `ToolBarListener`

### removeListener

    public void removeListener(ToolBarListener listener)

  Removes a listener

  See Also:
    `addListener(ToolBarListener)`

### fireToolBarEvent

    protected void fireToolBarEvent(ToolBarEvent event)

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Container`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Container`

### gtk_toolbar_get_type

    protected static final int gtk_toolbar_get_type()

### gtk_toolbar_new

    protected static final Handle gtk_toolbar_new()

### gtk_toolbar_set_orientation

    protected static final void gtk_toolbar_set_orientation(Handle toolbar,
                                                            int orientation)

### gtk_toolbar_set_style

    protected static final void gtk_toolbar_set_style(Handle toolbar,
                                                      int style)

### gtk_toolbar_set_tooltips

    protected static final void gtk_toolbar_set_tooltips(Handle toolbar,
                                                         boolean enable)

### gtk_toolbar_unset_style

    protected static final void gtk_toolbar_unset_style(Handle toolbar)

### gtk_toolbar_get_orientation

    protected static final int gtk_toolbar_get_orientation(Handle toolbar)

### gtk_toolbar_get_style

    protected static final int gtk_toolbar_get_style(Handle toolbar)

### gtk_toolbar_get_icon_size

    protected static final int gtk_toolbar_get_icon_size(Handle toolbar)

### gtk_toolbar_get_tooltips

    protected static final boolean gtk_toolbar_get_tooltips(Handle toolbar)

### gtk_toolbar_append_space

    protected static final void gtk_toolbar_append_space(Handle toolbar)

### gtk_toolbar_prepend_space

    protected static final void gtk_toolbar_prepend_space(Handle toolbar)

### gtk_toolbar_insert_space

    protected static final void gtk_toolbar_insert_space(Handle toolbar,
                                                         int position)

### gtk_toolbar_remove_space

    protected static final void gtk_toolbar_remove_space(Handle toolbar,
                                                         int position)

### gtk_toolbar_append_widget

    protected static final void gtk_toolbar_append_widget(Handle Toolbar,
                                                          Handle widget,
                                                          java.lang.String tooltipText,
                                                          java.lang.String tooltipPrivateText)

### gtk_toolbar_prepend_widget

    protected static final void gtk_toolbar_prepend_widget(Handle Toolbar,
                                                           Handle widget,
                                                           java.lang.String tooltipText,
                                                           java.lang.String tooltipPrivateText)

### gtk_toolbar_insert_widget

    protected static final void gtk_toolbar_insert_widget(Handle toolbar,
                                                          Handle widget,
                                                          java.lang.String tooltipText,
                                                          java.lang.String tooltipPrivateText,
                                                          int position)

### gtk_toolbar_set_icon_size

    protected static final void gtk_toolbar_set_icon_size(Handle toolbar,
                                                          int iconSize)

### gtk_toolbar_unset_icon_size

    protected static final void gtk_toolbar_unset_icon_size(Handle toolbar)

### gtk_toolbar_insert

    protected static final void gtk_toolbar_insert(Handle toolbar,
                                                   Handle item,
                                                   int pos)

### gtk_toolbar_get_item_index

    protected static final int gtk_toolbar_get_item_index(Handle toolbar,
                                                          Handle item)

### gtk_toolbar_get_n_items

    protected static final int gtk_toolbar_get_n_items(Handle toolbar)

### gtk_toolbar_get_nth_item

    protected static final Handle gtk_toolbar_get_nth_item(Handle toolbar,
                                                           int pos)

### gtk_toolbar_get_show_arrow

    protected static final boolean gtk_toolbar_get_show_arrow(Handle toolbar)

### gtk_toolbar_set_show_arrow

    protected static final void gtk_toolbar_set_show_arrow(Handle toolbar,
                                                           boolean show)

### gtk_toolbar_get_relief_style

    protected static final int gtk_toolbar_get_relief_style(Handle toolbar)

### gtk_toolbar_get_drop_index

    protected static final int gtk_toolbar_get_drop_index(Handle toolbar,
                                                          int x,
                                                          int y)

### gtk_toolbar_set_drop_highlight_item

    protected static final void gtk_toolbar_set_drop_highlight_item(Handle toolbar,
                                                                    Handle item,
                                                                    int index)